File cups-filters.changes of Package cups-filters.12824

-------------------------------------------------------------------
Fri Oct  4 08:32:50 UTC 2019 - Dr. Werner Fink <werner@suse.de>

- Add patch cups-filters-297cc2de-gs-9.27.patch
  * foomatic-rip: Changed Ghostscript call to count pages in a
    PDF file to use "runpdfbegin" and not the undocumented
    Ghostscript internal "pdfdict", so that it works with
    Ghostscript 9.27 and later (boo#1152720)

-------------------------------------------------------------------
Wed May  2 23:10:52 UTC 2018 - luizluca@gmail.com

- Version upgrade to 1.20.3
  to fix regression from 1.20.2 that ignores printers published
  using legacy CUPS broadcast

-------------------------------------------------------------------
Tue Apr 10 11:10:09 CEST 2018 - jsmeix@suse.de

- Version upgrade to 1.20.2
  to provide upstream bugfixes also for SLE15 / Leap15
  and be also already prepared for SLE12 (fate#323676).
  This is a bug fix release fixing the recognition
  of remote CUPS queues by cups-browsed, the behavior
  of cups-browsed when one creates a queue with the
  same name of a cups-browsed-generated queue overwriting
  it, and other bug fixes (for details see the NEWS file).

-------------------------------------------------------------------
Wed Apr  4 13:49:32 CEST 2018 - jsmeix@suse.de

- Version upgrade to 1.20.1
  to provide upstream bugfixes also for SLE15 / Leap15
  and be also already prepared for SLE12 (fate#323676).
  This is a bug fix release fixing several issues
  on the Braille support and other bugs, in particular
  (for details see the NEWS file):
  * libcupsfilters: Silenced warning when using CUPS < 2.x
    by eliminating the use of a recently introduced
    CUPS library function, see
    https://bugs.linuxfoundation.org/show_bug.cgi?id=1421
  * cups-browsed: Fixed crash when CUPS reports a print queue
    without "device-uri" attribute when cups-browsed polls a
    list of local CUPS queues, see
    https://github.com/OpenPrinting/cups-filters/issues/16
- fix_upstream_bug_1421.patch is no longer needed because
  it is now fixed in the upstream sources
  (see the "libcupsfilters ... bug ... 1421" entry above).

-------------------------------------------------------------------
Wed Feb 21 10:12:31 CET 2018 - jsmeix@suse.de

- Version upgrade to 1.20.0:
  * Mainly enhancements and fixes for the PPD generator.
  * For detailed info see the NEWS file.
- fix_upstream_bug_1421.patch is the upstream fix for
  https://bugs.linuxfoundation.org/show_bug.cgi?id=1421
- Use 'BuildRequires python3-cups' only if suse_version >= 1330
  (cf. "Do not require python-cups but rather python3-cups" below)
  which means after any SLE12 service pack and after any Leap 42.x
  i.e. for Tumbleweed, Leap 15.x, and the upcoming SLE15 and later
  otherwise still use 'BuildRequires python-cups' to make it build
  and usable again not only on some newest systems according to
  https://en.opensuse.org/openSUSE:How_to_contribute_to_the_Printing_project

-------------------------------------------------------------------
Tue Jan 23 10:51:28 UTC 2018 - tchvatal@suse.com

- Version upgrade to 1.19.0:
  * See the detailed stuff in NEWS file
  * New filters and poppler compatibility as always
- Do not require python-cups but rather python3-cups in order to
  allow build on python2 less system
- Explicitly enable ijs and opvp filters

-------------------------------------------------------------------
Fri Sep 29 14:49:51 UTC 2017 - olaf@aepfle.de

- Obsolete also debuginfo subpackages of the packages marked as
  Obsoletes in this specfile (bsc#1047897)

-------------------------------------------------------------------
Sat Sep 16 11:13:55 UTC 2017 - zaitor@opensuse.org

- Version upgrade to 1.17.6:
  * As the changelog is long for detailed info check the NEWS file.
  * Package new filters.
  * Compatible with poppler 0.58 and newer (Bug #1408).

-------------------------------------------------------------------
Fri Jun  2 14:37:02 CEST 2017 - jsmeix@suse.de

- The filter for Apple Raster input is rastertopdf
  for CUPS 2.2.2+ and urftopdf for older CUPS.
  Because Factory/Tumbleweed uses the newest CUPS for build
  (which is currently CUPS 2.2.3 as of this writing) the filter
  for Apple Raster input is rastertopdf for Factory/Tumbleweed
  so that /usr/lib/cups/filter/urftopdf must be excluded
  from the RPM files list for Factory/Tumbleweed.

-------------------------------------------------------------------
Thu Jun  1 12:40:16 CEST 2017 - jsmeix@suse.de

- The RPM scriptlet hack that created a special cupsfilters.convs
  so that the gstoraster filter can be used with CUPS <= 1.5.4
  does no longer make sense and is therefore removed.

-------------------------------------------------------------------
Tue May 30 13:57:16 CEST 2017 - jsmeix@suse.de

- Since version 1.14.0 there are no longer sub-packages
  (except cups-filters-devel) because nowadays cups-filters
  can no longer be built with CUPS < 1.6 with reasonable effort,
  see the entry below dated "Wed Oct  7 11:16:13 CEST 2015".
  On systems with CUPS >= 1.6 (i.e. since SLE12 GA / Leap 42.1)
  there is no good reason to keep cups-filters split into
  sub-packages and furthermore that split causes continuous
  (nowadays useless) efforts and bugs (like boo#1034877).
- Version upgrade to 1.14.0:
  Some excerpts (for details see the NEWS file):
  * cups-browsed: Added new setting "LocalOnly" for the
    CreateIPPPrinterQueues in cups-browsed.conf.
- Version upgrade to 1.13.5:
  Some excerpts (for details see the NEWS file):
  * foomatic-rip: When called via cupsfilter, foomatic-rip was
    not able to read the PPD file with (Bug #1388).
  * cups-browsed: When creating a local queue for a remote CUPS
    printer, add the line '*APRemoteQueueID: ""' to the PPD file
    so that CUPS sets the CUPS_PRINTER_REMOTE bit for the
    printer type of the local queue (Bug #1386).
- fallback_read_ppd_file_from_environment.patch is no longer
  needed because it is now provided in the upstream sources
  (see the "Bug #1388" entry above).
- Version upgrade to 1.13.4:
  Some excerpts (for details see the NEWS file):
  * cups-browsed: Corrected determination whether an IPP status
    is an error, to avoid "Unable to create/modify CUPS queue
    (Success)" and infinite repetition of a succeeded operation
    (Debian bug #852436).

-------------------------------------------------------------------
Mon Mar 13 14:28:06 CET 2017 - jsmeix@suse.de

- fallback_read_ppd_file_from_environment.patch
  lets foomatic-rip call read_ppd_file() with
  PPD filename from environment as fallback, see
  https://bugs.linuxfoundation.org/show_bug.cgi?id=1388

-------------------------------------------------------------------
Fri Jan 20 12:24:22 UTC 2017 - tchvatal@suse.com

- Version upgrade to 1.13.3:
  * As the changelog is long for detailed info check the NEWS file
  * Disable mutool switch to not build with mupdf package in order
    to not expand the dependencies too much
  * /usr/lib/cups/filter/textonly was renamed to texttotext
  * pstopdf filter dropped by upstream (cf. boo#1036220)
  * Add new driverless binary/driver to work with
    new style IPP printers that do not require any driver

-------------------------------------------------------------------
Thu Mar  3 15:45:39 CET 2016 - jsmeix@suse.de

- Version upgrade to 1.8.2
  * Allow disabling dependencies on Ghostscript and Foomatic
    (Bug #1342).
  * cups-browsed: Optionally generate also local queues pointing
    to remote raw queues. Usually only queues pointing to remote
    queues with PPD/driver are created (Debian bug #814020,
    Debian bug #756724).
- Version upgrade to 1.8.1
  * cups-browsed: Do not disable queues which still have jobs (and
    therefore cannot be removed) when avahi-daemon goes away, the
    print server is most probably still available and printing can
    be continued. Especially important on mobile devices where
    avahi-daemon is shut down when the print dialog is closed (and
   the job(s) still printing).
- Version upgrade to 1.8.0
  * COPYING: Replaced the COPYING file by a file in Debian format,
    derived from Debian's file but updated and corrected.
  * braille: Added info about additional packages needed for
    Braille printing to the README file.
  * braille: Let the Braille filters use lou_translate of
    liblouis if the more sophisticated file2brl of liblouisutdml
    is not installed. This is decided on at run time, so later
    installation of liblouisutdml will let the filters
    automatically switch to file2brl.
  * braille: Allow to build with Braille support also if
    liblouis is not installed at build time.
  * braille: Added checks for the presence of helper tools, to
    get clear messages in the CUPS error_log if something is
    missing.
  * Fixed copyright headers of files inherited from CUPS or
    derived from CUPS, pointing to COPYING as license info file,
    removing Apple exceptions, removing hints that a missing
    license info file can be found at www.cups.org, and removing
    "$Id" SVN file ID placeholders.
  * Updated COPYING file for missing implicitclass and beh
    backends.
- Version upgrade to 1.7.0
  * cups-browsed: Added possibility to trigger the auto shutdown
    by the queues of cups-browsed being without jobs. Before
    auto shutdown was only possible when all queues have gone
    away. This allows auto shutdown on mobile devices where
    avahi-daemon is also used for other things than printing.
- Version upgrade to 1.6.0
  * cups-browsed: Fixed use of CUPS domain socket, both
    detection during build process and permission check at
    runtime.
  * foomatic-rip: Fixed buffer overflow when reading environment
    variables CUPS_FONTPATH, CUPS_DATADIR, and GS_LIB (Bug
    #1336).
  * beh: Introduced beh, the Backend Error Handler, a wrapper
    backend to make handling of backend errors more
    configurable. This backend is a C re-write of the beh
    backend written in Perl which was part of the former
    foomatic-filters package. Several people asked for beh
    getting moved to cups-filters.
  * braille: Make image printing working also if ImageMagick
    generates formatted images without header.
  * braille: If the user does not select a Braille translation,
    let the embosser do the translation.
  * cups-browsed: Added version info to help screen and start-up
    in debug mode, call help screen also via "--version" option.
  * cups-browsed: Minor improvements in help screen and man page.
- Version upgrade to 1.5.0
  * cups-browsed: Allow use of an alternative configuration file
    via the "-c" command line option.
  * cups-browsed: Allow supplying configuration settings via the
    command line using the "-o" command line option.
  * cups-browsed: Command line help via the "-h" or "--help"
    command line option.

-------------------------------------------------------------------
Thu Dec 17 12:28:13 CET 2015 - jsmeix@suse.de

- Version upgrade to 1.4.0
  Changes in 1.4.0 (excerpt - for details see the NEWS file):
  * foomatic-rip: SECURITY FIX: Also consider the semicolon
    (';') as an illegal shell escape character. Thanks to Adam
    Chester (adam dot chester at pentest dot co dot uk) for the
    hint CVE-2015-8560 (bsc#957531).
  * brftoembosser, imagetobrf, imagetoubrl, imageubrltoindexv3,
    imageubrltoindexv4, textbrftoindexv3, textbrftoindexv4,
    texttobrf, braille.convs, braille.types, generic-brf.drv,
    indexv3.drv, indexv4.drv: Added support for Braille
    embossing via CUPS. Text and even images can now be sent to
    a Braille embosser like to a printer. Thanks to Samuel
    Thibault (samuel dot thibault at ens-lyon dot org) for this
    contribution.
- BuildRequires liblouis-devel is needed for Braille embossers.
- Version upgrade to 1.3.0
  Changes in 1.3.0 (excerpt - for details see the NEWS file):
  * cups-browsed: Added new BrowseFilter directive in
    cups-browsed.conf.  This directive allows filtering of the
    remote printers to be accepted on most properties/metadata
    supplied with the DNS-SD broadcasts. This allows, in
    addition to BrowseAllow/BrowseDeny/BrowseOrder, to reduce
    the amount of printers listed in print dialogs to a more
    useful amount.
  * cups-browsed: Added support for BrowseDeny and BrowseOrder
    directives in cups-browsed.conf.
  * cups-browsed: Let the BrowseAllow lines in cups-browsed.conf
    also apply to remote printers discovered via DNS-SD.
- Version upgrade to 1.2.0
  Changes in 1.2.0 (excerpt - for details see the NEWS file):
  * foomatic-rip: SECURITY FIX: Also consider the back tick
    ('`') as an illegal shell escape character. Thanks to Michal
    Kowalczyk from the Google Security Team for the hint
    CVE-2015-8327 (bsc#957531).
- Version upgrade to 1.1.0
  Changes in 1.1.0 (excerpt - for details see the NEWS file):
  * Version numbering scheme changed: Releases with feature
    addition/change have the minor number increased now, pure
    bug fix releases get the revision number increased, to make
    use of the minor number which stayed zero all the time.
  * cups-browsed: Added "DefaultOptions" directive to
    cups-browsed.conf to allow defining default option settings
    for local queues to be generated for newly appearing remote
    printers.
  * cups-browsed: Let option settings of a generated print queue
    be saved before taking the queue down so that when the remote
    printer appears again all user changes get restored, making
    user changes permanent on generated queues.
  * cups-browsed: Added a mode in which IP-based device URIs
    for the generation of local print queues are used, for
    cases with problems in local host name resolution.
  * foomatic-rip: Use -dFirstPage=... and -dLastPage=... only
    if really needed (Bug #1324).
  * cups-browsed, implicitclass: Make the load-balancing
    configurable so that one can select whether the jobs get
    queued up locally like in a CUPS class or whether they get
    immediately distributed to the remote servers letting them
    queue up there.
- FirstPage_LastPage_only_if_needed.patch is obsolete since
  version 1.1.0 because it is fixed in the sources.

-------------------------------------------------------------------
Wed Oct  7 11:16:13 CEST 2015 - jsmeix@suse.de

- FirstPage_LastPage_only_if_needed.patch lets foomatic-rip
  add -dFirstPage=N [and -dLastPage=M] to the Ghostscript
  command line only if those options are actually needed
  (i.e. if FirstPage > 1 [and when LastPage >= FirstPage])
  cf. http://bugs.ghostscript.com/show_bug.cgi?id=696246
  and https://bugs.linuxfoundation.org/show_bug.cgi?id=1324
- At least for now support for cups154 in the SLE12 legacy module
  is abandoned (by default SLE12 has CUPS 1.7.5) because newer
  cups-filters versions again use stuff that is provided
  since CUPS > 1.5.4 so that it does no longer build with
  CUPS 1.5.4. Perhaps I (jsmeix@suse.de) find time to fix it
  again for CUPS 1.5.4 but when not, newer cups-filters will
  no longer work with CUPS 1.5.4.
- Version upgrade to 1.0.76
  Changes in 1.0.76 (excerpt - for details see the NEWS file):
  * cups-browsed, implicitclass: Let the load-balancing queue up
    the jobs in the local (generated) queue until a free (idle,
    enabled, and accepting jobs) remote queue is found (check
    every 5 sec if no free queue available). This gives a more
    even distribution of the work amongst the servers and
    protects against the case that a bunch of jobs gets
    inaccessible or lost if one of the servers fails.
  * cups-browsed: Let the load-balancing also check whether the
    destination queue is actually accepting jobs.
  * cups-browsed: If a generated queue is not removed on
    shutdown of cups-browsed due to remaining jobs in it,
    re-enable it in the next cups-browsed session even if it was
    disabled by something other than cups-browsed.
  * implicitclass: Clean up debug and error messages.
  * implicitclass: Fix exit codes for immediate retry of jobs.
  * cups-browsed: Make absence of CUPS notifications via D-Bus
    non-fatal and fall back to the old behavior of cups-browsed
    (fail-over instead of load balancing for equally-named
    remote queues, do not remove generated queue if it is
    default instead of default printer management). This solves
    problems of CUPS and/or cups-browsed built without D-Bus
    support or absence of D-Bus on the system (Bug #1316).
  * cups-browsed: Do not use g_warning() function, sneaked in
    by copy and paste of CUPS subscription functions.
- Version upgrade to 1.0.75
  Changes in 1.0.75 (excerpt - for details see the NEWS file):
  * texttopdf: Really support BoldItalic (original texttops
    just maps BoldItalic to Bold).
  * texttopdf: Fixed segfault when outputting BoldItalic
    (Bug #1314).
- Version upgrade to 1.0.74
  Changes in 1.0.74 (excerpt - for details see the NEWS file):
  * cups-browsed: Added NULL check when getting the notification
    of a printer starting to process a job and checking whether
    this printer is created by cups-browsed with the
    implicitclass: backend (Ubuntu bug #1488524).
  * cups-browsed: Do not schedule printers for update when they
    are already marked as disappeared.
  * cups-browsed: Added sanity checks when saving the default
    printer selection in a file.
  * cups-browsed, implicitclass: If remote queues disappear or
    cups-browsed shuts down and a cups-browsed-generated queue
    still has jobs and needs to be kept therefore, disable it
    and re-enable it when cups-browsed starts again and/or the
    remote queue(s) re-appear(s). This avoids repeated retries
    of the jobs while the remote server is not available, causing
    unneeded system load and battery consumption.
  * cups-browsed: After polling info from remote CUPS servers
    to find the best destination job, set the default CUPS server
    back to local.
- Version upgrade to 1.0.73
  Changes in 1.0.73 (excerpt - for details see the NEWS file):
  * cups-browsed: Added missing
    utils/org.cups.cupsd.Notifier.xml file.
- Version upgrade to 1.0.72
  Changes in 1.0.72 (excerpt - for details see the NEWS file):
  * cups-browsed, implicitclass: Added load balancing
    functionality. If there are several remote CUPS printers
    with the same name, they for locally a cluster represented
    by a print queue with this name. This printer prints through
    a special backend (implicitclass) which makes cups-browsed
    find the best destination remote queue (fewest jobs,
    enabled) for this job.
  * cups-browsed: Added protection against accidental deletion of
    print queues generated by cups-browsed. These queues now get
    automatically re-created.
  * cups-browsed: Added LDAP support. Appropriately configured
    via cups-browsed.conf remote printers made available via LDAP
    will be looked up and local queues pointing to them created.
    Thanks to Raphael Geissert (atomo64 at gmail dot com) for
    contributing this patch (Debian bug #795185).
  * cups-browsed: Introduced new handling for the default printer
    using cache files. So we do not need to keep an auto-generated
    queue because it is set as default printer. If the
    auto-generated queue disappears, the old local printer is set
    as default again and when it re-appears it returns to be the
    default printer.
  * cups-browsed: Added infrastructure for subscribing to CUPS
    notifications for things like improved default printer
    handling, load balancing, ...
  * foomatic-rip: Prevent crash when supplying "media" option with
    empty value ("media=", Ubuntu bug #1479871).
  * pdftoopvp: Adaptations to API changes on Poppler 0.34.0, note
    that this patch disables color management in this filter.
    Thanks to Vincent le Garrec and Andreas K. Huettel for the
    patch (Bug #1301, Gentoo bug #554782).
  * texttopdf: Request the generic 'monospace' font alias from
    fontconfig instead of the hard-coded FreeMono. Thanks
    to Fabian Greffrath (fabian at debian dot org) for the
    patch (Debian bug #788048).
- cups-filters-poppler-034.patch is obsolete since version 1.0.72
  because it is fixed in the sources.

-------------------------------------------------------------------
Thu Sep  3 11:16:29 CEST 2015 - jsmeix@suse.de

- More appropriate URL entry in spec file:
  Now it is (wrapped URL)
  http://www.linuxfoundation.org/collaborate/workgroups
    /openprinting/cups-filters
  that shows mainly generic information instead of (wrapped URL)
  http://www.linuxfoundation.org/collaborate/workgroups
    /openprinting/pdf_as_standard_print_job_format
  that provides mainly technical details.

-------------------------------------------------------------------
Sun Jul 26 13:16:43 UTC 2015 - zaitor@opensuse.org

- Add cups-filters-poppler-034.patch: Fix build with poppler-0.34.
  See https://bugs.linuxfoundation.org/show_bug.cgi?id=1301
  pdftoopvp: Adaptations to API changes on Poppler 0.34.0, note
  that this patch disables color management in this filter.

-------------------------------------------------------------------
Mon Jul  6 11:56:23 CEST 2015 - jsmeix@suse.de

- Version upgrade to 1.0.71
  Changes in 1.0.71 (cf. the NEWS file but there is a typo
  in the NEWS file that claims the CVE number is 3259
  while the correct CVE number is 3279):
  * texttopdf: The Page allocation is moved into textcommon.c,
    where it does all the necessary checking:
    lower-bounds for CVE-2015-3258 (bsc#936281) and
    upper-bounds for CVE-2015-3279 (bsc#937018)
    due to integer overflows for the calloc() call
    initialising Page[0] and the memset() call in texttopdf.c's
    WritePage() function zeroing the entire array.
    Thanks to Tim Waugh from Red Hat for the patch.
  * texttopdf: Upper-bounds checking CVE-2015-3279 (bsc#937018).

-------------------------------------------------------------------
Mon Jun 29 09:40:08 CEST 2015 - jsmeix@suse.de

- Version upgrade to 1.0.70
  Changes in 1.0.70 (excerpt - for details see the NEWS file):
  * texttopdf: Fixed buffer overflow on size allocation
    of texttopdf when working with extremely small line sizes,
    which causes the size calculation to result in 0
    CVE-2015-3258 (bsc#936281), thanks to Stefan Cornelius
    from Red Hat for the patch.
  * cups-browsed: leak fixes
  * cups-browsed: Further BrowseAllow fixing
  * cups-browsed: BrowsePoll is an array of pointers,
    not structures, so allocate room for the pointers
  * cups-browsed: Prevent NULL dereference when handling
    BrowseAllow without value
  * cups-browsed: Use memory deallocation function
    corresponding to allocation function used
  * cups-browsed: Fixes for glib source handling
    (Red Hat bug #1228555)
- Version upgrade to 1.0.69
  Changes in 1.0.69 (excerpt - for details see the NEWS file):
  * cups-browsed: When checking whether a queue name already
    exists as a locally defined queue, do case-insensitive
    comparing as for CUPS printer names are case-insensitive.
    This assures that already existing queues do never get
    overwritten.
  * cups-browsed: Added "IPPPrinterQueueType Auto/PPD/NoPPD"
    directive to cups-browsed.conf to allow controlling how
    cups-browsed creates queues fr native IPP network printers:
    with PPD, with System V interface script, or selecting
    automatically.
  * pdftopdf: Center Landscape-oriented jobs correctly
    on the page if the "fitplot" or "number-up" options
    are used (Bug #1284).
  * pstopdf: Removed "-dUseCIEColor" from the Ghostscript command
    line. In modern Ghostscript versions (9.11 and newer) it is
    recommended to not use it with the pdfwrite and ps2write
    output devices any more.
  * imagetopdf: Corrections in PDF output: Let evince display
    the PDF with the correct size including margins and let
    ghostscript not complain about an invalid xref entry.
  * sys5ippprinter: Renamed pdftoippprinter to reflect that it is
    once a System 5 interface script and second does not accept
    only PDF as input.
  * pdftoippprinter: Support also PWG Raster and JPEG as input
    formats so that an auto-generated, PPD-less queue for an
    IPP printer emulates an IPP Everywhere printer.

-------------------------------------------------------------------
Thu May 14 13:08:33 UTC 2015 - tchvatal@suse.com

- Version bump to 1.0.68:
  * cups-browsed: Numeric IDs for GSources of the glib event
    loop must be positive integers greater than zero according
    to the documentation of the g_source_get_id() function.
    Taken care of this at all places.
  * cups-browsed: Added conditionals so that it also builds with
    CUPS 1.5.x (but then withou support for automatically creating
    queues for IPP network printers). Thanks to Johannes Meixner
    from SUSE for the patch (Bug #1268).
  * Ricoh-PDF_Printer-PDF.ppd: Added PPD file for Ricoh's PDF
    printers (experimental). Thanks to Ulrich Wehner from Ricoh
    for the file.
- Remove upstream merged patch:
  * fix-create_local_queue-ifndef-HAVE_CUPS_1_6.diff

-------------------------------------------------------------------
Fri Mar 20 13:57:04 CET 2015 - jsmeix@suse.de

- For SLE12 build it with traditional CUPS 1.5.4 to ensure
  it works on SLE12 both with CUPS 1.7.5 and CUPS 1.5.4.

-------------------------------------------------------------------
Fri Mar 20 10:01:44 CET 2015 - jsmeix@suse.de

- fix-create_local_queue-ifndef-HAVE_CUPS_1_6.diff
  makes it compile again without errors also for CUPS <= 1.5.4
  by excluding code that uses CUPS >= 1.6 specific stuff,
  in particular by skipping create_local_queue for non-CUPS
  printer broadcasts for CUPS <= 1.5.4, see the upstream bug
  https://bugs.linuxfoundation.org/show_bug.cgi?id=1268

-------------------------------------------------------------------
Thu Mar 12 14:48:10 UTC 2015 - tchvatal@suse.com

- Reenable threads, seems to work fine. If there are thread
  related issues assign the bug to me.

-------------------------------------------------------------------
Thu Mar 12 15:47:17 CET 2015 - jsmeix@suse.de

- Version upgrade to 1.0.67
   Changes in 1.0.67:
   * cups-browsed: Use g_source_remove() instead of
     g_source_destroy() for killing auto shutdown timers
     (Ubuntu bug #1427344).

-------------------------------------------------------------------
Thu Mar  7 13:15:12 UTC 2015 - tchvatal@suse.com

- Do no longer create foomatic-rip symlink that is now done
  by make install command (see linuxfoundation.org bug #1255
  and the entry dated "Mon Aug 25 15:30:37 CEST 2014" below).
- Fix postun call on cups-browsed to call right rpm macro

-------------------------------------------------------------------
Sat Mar  7 12:24:51 UTC 2015 - tchvatal@suse.com

- Version bump to 1.0.66:
  * Many fixes in cups-browsed in particular a SECURITY FIX:
    Fixed a bug in the remove_bad_chars() failing to reliably
    filter out illegal characters if there are two or more
    subsequent illegal characters, allowing execution of arbitrary
    commands with the rights of the "lp" user, using forged print
    service announcements on DNS-SD servers
    (CVE-2015-2265, boo#921753, linuxfoundation.org bug #1265).
  * Compat code for new poppler.
  * For detailed listing see NEWS file in documentation.
- Use .xz for tarball, bit smaller, adds dep on xz, no biggie
- Changes in verion 1.0.63 (excerpts):
  * foomatic-rip: Added hint to man page that direct,
    spooler-less mode is mainly for testing and debugging
    (linuxfoundation.org bug #1253, bsc#915545)
  * foomatic-rip: Added a symlink of the filter to the
    binary executable directory (usually /usr/bin),
    so that LSB compliance test scripts work
    (linuxfoundation.org bug #1255, bsc#915545).

-------------------------------------------------------------------
Mon Nov 10 13:39:32 CET 2014 - jsmeix@suse.de

- During installation of a whole openSUSE system
  cups-filters-ghostscript can be installed before cups
  and then there is no /usr/share/cups/mime/ directory
  so that it is created if needed (bnc#904652).

-------------------------------------------------------------------
Mon Aug 25 15:30:37 CEST 2014 - jsmeix@suse.de

- A /usr/bin/foomatic-rip -> /usr/lib/cups/filter/foomatic-rip
  symlink is added to the cups-filters-foomatic-rip sub-package
  to make our lsb RPM installable again (bnc#892604).
  LSB currently requires /usr/bin/foomatic-rip but future LSB
  will require /usr/lib/cups/filter/foomatic-rip see
  https://lsbbugs.linuxfoundation.org/show_bug.cgi?id=3900

-------------------------------------------------------------------
Mon Aug 25 10:22:51 CEST 2014 - jsmeix@suse.de

- Version upgrade to 1.0.58
  Changes in 1.0.58 (excerpt - for details see the NEWS file):
  * pdftoraster: Changed ICC profile get function to accept a
    PPD fallback profile.
  * pdftoraster: Fixed handling of cupsColorSpaces 18,19,20.
  * rastertopdf: Grayscale color conversion now properly inverts
    bits.
  * rastertopdf: Implemented basic 8bit->8bit color space
    conversions.
  * rastertopdf: Added black point compensation.
  * rastertopdf: Added handling of color rendering intent.
  * gstoraster, imagetoraster, pdftoraster, rastertopclx,
    rastertopdf, foomatic-rip: Use color management functions in
    libcupsfilters.
  * libcupsfilters: Modified code formatting and documentation in
    the color management functions.
  * libcupsfilters: Fixed string handling and added debug log
    messages in the color management functions.
  * libcupsfilters: Fixed Adobe RGB matrix for proper rendering
    (transpose)
  * libcupsfilters: Moved color management functions from the
    individual filters to the libcupsfilters library.
- Version upgrade to 1.0.57
  Changes in 1.0.57 (excerpt - for details see the NEWS file):
  * Build system: Explicitly link to libm as -lm was dropped
    from cups-config --libs.
  * libcupsfilters, foomaticrip, gstoraster, imagetoraster,
    pdftoraster, rastertopclx, rastertopdf: Handle absence of
    colord or D-Bus gracefully (Ubuntu bug #1356405).
- Version upgrade to 1.0.56
  Changes in 1.0.56 (excerpt - for details see the NEWS file):
  * Major regression fix in cups-browsed (introduced in 1.0.55
    by no longer creating a local queue pointing to a remote
    raw queue that causes no longer creating local queues for
    traditional CUPS Browsing remote CUPS queues):
    Do not consider a remote CUPS queue as raw if the TXT record
    is NULL as for queues broadcasted by the legacy CUPS method
    the TXT record does not exist. Now  consider a queue with
    NULL TXT record only as raw if the domain entry is not empty
    which tells that the queue is Bonjour-broadcasted
    (linuxfoundation.org bug #1223).
  * cups-browsed: Do also not mark a discovered printer as
    already provided by another server when the other server's
    queue has "unconfirmed" status. Mark the other queue with
    "disappeared" or "unconfirmed" status as duplicate of the
    discovered printer so that the new queue for the discovered
    printer does not get removed when the entry for the other
    queue times out.
  * rastertopdf: Some code polishing and removal of now unneeded
    functions
  * rastertopdf: Reduced color space handling to only
    PWG-supported color spaces
  * rastertopdf: Added colorspace calibration function; included
    optional "/Alternate" PDF key for ICC profile embedding
  * rastertopdf: Colorspace sRGB now embeds srgb icc profile;
    implemented ICC Profile embedding (PDF 1.3 spec)
  * rastertopdf: Added basic color calibration
  * rastertopdf: Implemented ICC Profile creation code for IPP
    Everywhere (from PWG raster)
  * pdftoraster: Added colord handling of ICC profiles

-------------------------------------------------------------------
Wed Jul 30 13:22:22 CEST 2014 - jsmeix@suse.de

- Version upgrade to 1.0.55
  Changes in 1.0.55 (excerpt - for details see the NEWS file):
  * pdftopdf: Fixed manual duplex by adding a blank page to even
    pages if the total number of pages of the document is odd.
    Otherwise the last page of the document would stay in
    the input tray. This fixes also a side effect as the set of
    even pages reducing to a zero page job if the job consists
    of only one page, making Poppler's pdftops error out
    (Ubuntu bug #1340435).
  * cups-browsed: Do not mark a discovered printer as already
    provided by another server when the other server's queue has
    "disappeared" status. This queue can be from the same server
    before it changed its name.
  * cups-browsed: Do not create a local queue pointing to a
    remote raw queue (Ubuntu bug #1335211).
  * foomatic-rip, imagetoraster, pdftoraster, rastertopclx,
    rastertopdf: Added colord "device_inhibit" support for
    color-managed filters.
  * bannertopdf: Fixed "Printer Location" and "Driver Version"
    entries on test page/banners (linuxfoundation.org bug #1209).
  * bannertopdf: Added new PDF template files which contain the
    text strings appropriate to the banners, before the banners
    were all equal, without text (linuxfoundation.org bug #1209).
  * pstopdf: Use "grep -E" instead of "grep -P" as the latter
    generates executable code and executes it, requiring
    "execmem" privileges which could be not available in some
    security policies. Thanks to Tim Waugh from Red Hat for the
    patch (Red Hat bug #1079534).
  * pdftoraster: Fixed segfault caused by introduction of
    "no-color-management" option (linuxfoundation.org bug #1214).
  * libcupsfilters: Let cupsRasterParseIPPOptions() also accept
    "pwg-raster-document-type" settings with hyphen between
    color space name and color depth.
- Our separated source files classified.pdf confidential.pdf
  secret.pdf standard.pdf topsecret.pdf unclassified.pdf (see
  the entry below dated "Thu Jun 12 17:27:56 CEST 2014") are
  no longer needed because it is now provided in the upstream
  sources (see "linuxfoundation.org bug #1209" entries above).
- Added CVE-2014-4336 CVE-2014-4337 bnc#883543 and
  CVE-2014-4338 bnc#883536 to the matching entry below
  dated "Mon Apr 28 10:49:21 CEST 2014" because those CVEs
  and bncs have not been known at that time (cf. bnc#871327
  therein comment#47 and bnc#883307 therein comment#2).

-------------------------------------------------------------------
Thu Jun 12 17:27:56 CEST 2014 - jsmeix@suse.de

- Have different header texts for the PDF-BANNER printouts
  (same headers as on the CUPS <= 1.5.4 banner pages):
  Provide PDF template files classified.pdf confidential.pdf
  secret.pdf standard.pdf topsecret.pdf unclassified.pdf and
  modify the matching /usr/share/cups/banners/ template files
  accordingly to use those PDF templates
  (see https://bugs.linuxfoundation.org/show_bug.cgi?id=1209).

-------------------------------------------------------------------
Wed Jun 11 10:18:21 CEST 2014 - jsmeix@suse.de

- Version upgrade to 1.0.54
  Changes in 1.0.54 (excerpt):
  * pdftoraster: Support for output in the color spaces 18
    (CUPS_CSPACE_SW, sGray), 19 (CUPS_CSPACE_SRGB, sRGB), and 20
    (CUPS_CSPACE_ADOBERGB, Adobe RGB). No color management
    appropriate to these color spaces is added yet.
  * rastertopdf: Added new filter to convert PWG Raster input
    into a PDF file (using QPDF). This filter makes CUPS
    supporting the PWG Raster input format which is required to
    be supported by IPP Everywhere printers, making a shared
    CUPS queue emulating an IPP Everywhere printer. This is a
    first implementation which supports the black, RGB, CMYK,
    sGray, sRGB, and Adobe RGB color spaces (all mapped to
    DeviceGray, DeviceRGB, and DeviceCMYK resp. in the PDF
    output) with 1, 8, and 16 bits per component color
    depth. sGray, sRGB, and Adobe RGB are currently also mapped
    to DeviceGray and DeviceRGB and do not have the correct
    color management yet, so color output is not absolutely
    correct. Note that mime.types of CUPS up to 1.7.2 has a bug
    which prevents PWG Raster to be recognized, the
    "priority(100)" of the rule needs to be changed to
    "priority(150)".
  * cups-browsed: Create local queues also to access classes on
    remote CUPS servers (Ubuntu bug #1313741).
  * cups-browsed: Let a newly discovered printer not only
    overtaking an existing printer entry if it is from the same
    host (usually IPP -> IPPS) or without host entry
    (unconfirmed local queue from previous cups-browsed session)
    but also if it is marked disappeared. So printer entries get
    correctly migrated when things like a host name change of
    the remote server happen.
  * cups-browsed: Always do case-insensitive comparing of
    strings, as CUPS queue names and URIs are case-insensitive
    (CUPS STR #4411).
  For details see the NEWS file.

-------------------------------------------------------------------
Mon Apr 28 10:49:21 CEST 2014 - jsmeix@suse.de

- Version upgrade to 1.0.53
  Changes in 1.0.53:
  * foomatic-rip: Fixed segfault when creating log file, see
    https://bugs.linuxfoundation.org/show_bug.cgi?id=1206
  * cups-browsed: SECURITY FIX: Fix on usage of the
    "BrowseAllow" directive in cups-browsed.conf. Before, if the
    argument of a "BrowseAllow" directive is not understood it
    is treated as the directive not having been there, allowing
    any host if this was the only "BrowseAllow" directive. Now
    we treat this as a directive which no host can fulfill, not
    allowing any host if it was the only one. No "BrowseAllow"
    directive means access for all, as before, see
    https://bugs.linuxfoundation.org/show_bug.cgi?id=1204
    (CVE-2014-4338 bnc#883536 and bnc#871327 therein comment#23
    and subsequent comments).
  * cups-browsed: SECURITY FIX: Further improvement on the fix
    in 1.0.51 as it was insufficient. In addition, some fixes
    against OOB access are done (CVE-2014-4336 CVE-2014-4337
    bnc#883543 and bnc#871327 therein comment#30 and subsequent
    comments).
- Removed the "# BrowseAllow cups.example.com" example line in
  /etc/cups/cups-browsed.conf because hostnames do not work, see
  https://bugs.linuxfoundation.org/show_bug.cgi?id=1205

-------------------------------------------------------------------
Thu Apr 24 11:23:43 CEST 2014 - jsmeix@suse.de

- Split cups-browsed into a cups-filters-cups-browsed sub-package
  so that cups-browsed can be installed without all the other
  stuff from cups-filters (bnc#873204).
- Have libcupsfilters.so.* in the cups-filters-ghostscript
  sub-package because gstoraster is linked with libcupsfilters
  so that now cups-filters-foomatic-rip requires
  cups-filters-ghostscript which is still o.k. because
  cups-filters-ghostscript does not require cups-filters
  (cf. the entry dated "Thu Apr 10 10:22:25 CEST 2014" below).
- Do no longer rename installed /usr/share/cups/banners/* files
  and the installed /usr/share/cups/data/testprint
  (cf. the entry dated "Fri Aug 30 12:53:57 CEST 2013" below)
  because since CUPS 1.7.2 those files are no longer provided
  in our cups RPM package because since CUPS >= 1.6
  the CUPS banners and testprint do no longer work because
  there is no longer a filter for Linux that can convert
  the CUPS banner files. Since CUPS >= 1.6 only the banners
  and testprint in cups-filters work (bnc#873376).
  For CUPS <= 1.5.4 (where CUPS banners and testprint works)
  this does not make a difference because the cups-filters
  main package conflicts with CUPS <= 1.5.4.

-------------------------------------------------------------------
Thu Apr 10 10:22:25 CEST 2014 - jsmeix@suse.de

- Have libcupsfilters.so.* in the cups-filters-foomatic-rip
  sub-package because foomatic-rip is linked with libcupsfilters
  so that it must be in the cups-filters-foomatic-rip sub-package
  to ensure the cups-filters-foomatic-rip sub-package can be
  installed on its own without a RPM requirement for the
  cups-filters main package which would cause conflicts
  with CUPS <= 1.5.4 in particular when building packages
  with CUPS <= 1.5.4 that have foomatic-rip as build requirement
  (e.g. hplip via "BuildRequires: foomatic-filters").

-------------------------------------------------------------------
Tue Apr  8 17:01:36 CEST 2014 - jsmeix@suse.de

- Version upgrade to 1.0.52
  Changes in 1.0.52 (excerpt):
  * texttopdf, imagetopdf, imagetoraster:
    Range-check paper dimensions and margins taken
    from the PPD file and correct them if needed, see
    https://bugs.linuxfoundation.org/show_bug.cgi?id=1195

-------------------------------------------------------------------
Thu Apr  3 11:26:28 CEST 2014 - jsmeix@suse.de

- Version upgrade to 1.0.51
  * cups-browsed: SECURITY FIX to prevent arbitrary code
    injection into the System V interface scripts generated for
    queues for discovered native IPP printers by a malicious IPP
    print service with forged make/model and/or PDL string
    (CVE-2014-2707 bnc#871327).
- Version upgrade to 1.0.50
  Changes in 1.0.50 (excerpt):
  * pdftops: Let old HP LaserJet printers (model number without
    letter, like "LaserJet 3" or "LaserJet 4000") use Poppler
    instead of Ghostscript.
  * pdftops: Improved workaround for Toshiba printers. Instead
    of using Poppler do not emit TrueType fonts with Ghostscript.

-------------------------------------------------------------------
Thu Mar 27 16:03:44 CET 2014 - jsmeix@suse.de

- Provide foomatic-filters with the exact foomatic-rip version
  that is included in cups-filters and conflict with any other
  foomatic-filters version (bnc#870621).

-------------------------------------------------------------------
Wed Mar 26 11:28:13 CET 2014 - jsmeix@suse.de

- Upgrade to current tarball cups-filters-1.0-20140326.tar.gz
  that is is version 1.0.49 plus the fix for
  https://bugs.linuxfoundation.org/show_bug.cgi?id=1187
  "percent-encode component parts of the CUPS device-URI"
  see also (bnc#869692).
- Prepare spec files to build both releases and current tarballs
  easily in the future by using special different version strings.

-------------------------------------------------------------------
Tue Mar 25 17:12:22 CET 2014 - jsmeix@suse.de

- Version upgrade to 1.0.49
  Changes in 1.0.49 (excerpt):
  * pdftops: Fixed typo which always made PostScript level 2 being
    generated when using Poppler's pdftops.
  Changes in 1.0.48 (excerpt):
  * cups-browsed: Fix for a crash which happens on Bonjour reports
    of printers without "product", "usb_MDL", and "ty" fields
  Changes in 1.0.47 (excerpt):
  * pdftoopvp: SECURITY FIX for CVE-2013-6474, CVE-2013-6475,
    and CVE-2013-6476: Introductionof gmallocn and gmallocn3
    to protect against arbitrary code execution with the
    privileges of the "lp" user via malicious PDF files. Also
    restrict the directory from where OPVP drivers can get
    loaded.
  * urftopdf: SECURITY FIX for CVE-2013-6473: Two heap-based
    buffer overflow flaws in urftopdf. If a malicious URF file
    were processed it could lead to arbitrary code execution
    with the privileges of the "lp" user.
  * cups-browsed: Check for changes of the URI of a queue which
    we have created and correct the URI if needed
  Changes in 1.0.46 (excerpt):
  * gstoraster: Ignore SIGCHLD, rely on waitpid instead and
    fix two instances of insufficient EINTR handling.
  Changes in 1.0.45 (excerpt):
  * cups-browsed: Added auto-shutdown feature for on-demand use
    of cups-browsed (for example on mobile devices). With auto
    shutdown active, cups-browsed terminates after a certain
    time interval (30 sec by default) without having any remote
    printer to make available locally. The mode can be turned
    on, turned off (default) or set to automatically be off
    while avahi-daemon is running an on otherwise (controlled by
    avahi-daemon running on-demand). The mode and the timeout
    interval can be selected by command line options, the
    configuration file, and sending signals to cups-browsed
    (on/off only).
  * cups-browsed: To make Bonjour-discovered printers locally
    available avahi-daemon does not need to be started before
    cups-browsed and does not need to stay continuously running
    while cups-browsed is running. Bonjour-discovered printers
    are now added whenever avahi-daemon starts and removed
    whenever avahi-daemon stops and cups-browsed keeps running.
  * pdftops: Log command lines of renderer (Ghostscript, pdftops,
    pdftocairo, acroread) and of pstops in CUPS' error_log (in
    debug mode).
  Changes in 1.0.44 (excerpt):
  * README: Documented the "hybrid" choice for the PDF renderer
    in the pdftops filter.
  Changes in 1.0.43 (excerpt):
  * cups-browsed: When automatically setting up a PPD-less print
    queue for an IPP network printer add make/model info as an
    additional "make-and-model" command line option to the call
    of the pdftoippprinter filter, this way filters can do
    make/model-specific exceptions.
  * pdftops: Ignore "landscape", "orientation-requested",
    "fit-to-page", and any page geometry options. The first two
    do not make sense on PDF input and therefore should only be
    used in ...topdf filters used before pdftopdf, the others
    are already taken care of by pdftopdf so that pdftops gets
    pages with print-ready page geometry.
  * pdftopdf: If there is no PPD file or no
    "*LandscapeOrientation:" keyword in the PPD file, rotate
    counterclockwise, not clockwise to fit a landscape-oriented
    page on a portrait-oriented sheet.
  * pstopdf: Support for the "landscape" and
    "orientation-requested" options.
  * pdftops: After fixing the output of rotated PDF pages
    (usually landscape-oriented pages rotated by pdftopdf) in
    Poppler (Poppler/freedesktop.org bug #72312) corrected the
    use of "pdftops -origpagesizes" in pdftops appropriately.
  Changes in 1.0.42 (excerpt):
  * pdftoraster: Take into account rotate field in PDF header,
    when pdftopdf rotates a page to fit the paper it sets the
    rotate field and does not swap the width and height entries.
  * cups-browsed: Fixed several memory leaks by adding missing
    free() calls and removing an unneeded strdup().
  * foomatic-rip: Moved foomatic-rip's upstream home from the
    foomatic-filters package to cups-filters, to make it easier
    for distributions to ship and maintain a complete printing
    stack and also to make upstream maintenance and development
    easier.
  * foomatic-rip: Removed support for all the non-CUPS printing
    environments as they are discontinued upstream. Now
    foomatic-rip only works as a CUPS filter and in a
    spooler-less direct mode, where the latter is mainly
    for testing and debugging.
  Changes in 1.0.41 (excerpt):
  * cups-browsed: Added support for automatic PPD-less setup of
    print queues for IPP printers discovered on the network via
    Bonjour. Supported are printers with known languages (PWG
    Raster, PDF, PostScript, PCL XL, PCL 5c/e), especially also
    IPP Everywhere printers. This functionality is especially
    ment for mobile devices to be able to print without printer
    setup tool and without printer driver/PPD collection.
  * pdftoippprinter: New filter for PPD-less printing. The filter
    will be configured as System-V interface script for a print
    queue for a discovered IPP network printer generated by
    cups-browsed.
  * cups-browsed: Fixed socket leaks in recent IPP subscriptions
    changes.
- Since cups-filters version 1.0.42 foomatic-rip is also
  provided by cups-filters so that there is a file conflict
  with the foomatic-filters package (both provide
  /usr/lib/cups/filter/foomatic-rip and
  /usr/share/man/man1/foomatic-rip). Therefore foomatic-rip
  is separated in the sub-package cups-filters-foomatic-rip
  and only that sub-package conflicts with foomatic-filters.

-------------------------------------------------------------------
Thu Mar 13 11:36:37 CET 2014 - jsmeix@suse.de

- Added "Recommends: poppler-tools" because /usr/bin/pdftops
  (provided by poppler-tools) is needed (but not required
  for non-PostScript printers) to print PDFs on PostScript
  printers (bnc#868148).

-------------------------------------------------------------------
Thu Jan 30 11:13:36 CET 2014 - jsmeix@suse.de

- Moved /usr/lib/libcupsfilters.so /usr/lib/libcupsfilters.so
  /usr/lib/pkgconfig/libcupsfilters.pc /usr/include/fontembed/*
  /usr/lib/pkgconfig/libfontembed.pc /usr/include/cupsfilters/*
  to the cups-filters-devel sub-package to fix rpmlint
  "devel-file-in-non-devel-package" errors.

-------------------------------------------------------------------
Fri Jan 10 13:26:43 CET 2014 - jsmeix@suse.de

- Split /usr/share/cups/ppdc/escp.h and /usr/share/cups/ppdc/pcl.h
  into a cups-filters-devel sub-package and let cups-filters-devel
  conflict with cups-devel < 1.6. because up to CUPS 1.5.4
  those files are provided by the cups-devel package
  (see the next entry below).

-------------------------------------------------------------------
Thu Jan  9 14:10:10 CET 2014 - jsmeix@suse.de

- Conflict with CUPS < 1.6 because up to CUPS 1.5.4
  the following files are provided by the cups binary RPM package
  /usr/lib/cups/filter/commandtoescpx
  /usr/lib/cups/filter/commandtopclx
  /usr/lib/cups/filter/imagetops
  /usr/lib/cups/filter/imagetoraster
  /usr/lib/cups/filter/pdftops
  /usr/lib/cups/filter/rastertoescpx
  /usr/lib/cups/filter/rastertopclx
  /usr/lib/cups/filter/texttops
  /usr/lib/cups/backend/parallel
  /usr/lib/cups/backend/serial
  and the following files are provided by the cups-devel package
  /usr/share/cups/ppdc/escp.h
  /usr/share/cups/ppdc/pcl.h

-------------------------------------------------------------------
Thu Dec 19 11:18:46 CET 2013 - jsmeix@suse.de

- Split binary RPM sub-package cups-filters-ghostscript
  which is needed for Ghostscript version upgrade to 9.10.
  Since Ghostscript version 9.10 the CUPS filters
  gstoraster and gstopxl are removed from Ghostscript.
  Those filters are now provided by cups-filters.
  The binary RPM sub-package cups-filters-ghostscript
  provides only those CUPS filters for Ghostscript.
  This way cups-filters-ghostscript can be used
  with the traditional CUPS up to version 1.5.4
  where the other filters, backends, and cups-browsed
  from cups-filters would cause conflicts because
  CUPS <= 1.5.4 already provides them. In contrast
  for CUPS versions since 1.6 the whole cups-filters
  is usually needed (but not strictly required).

-------------------------------------------------------------------
Wed Oct 30 12:40:23 CET 2013 - jsmeix@suse.de

- Version upgrade to 1.0.40
  Changes in 1.0.40 (excerpt):
  * pdftops: Introduced new "hybrid" renderer: Here usually
    Ghostscript is used, but if the printer is a Brother,
    Minolta, or Konica Minolta Poppler's pdftops gets used. This
    is a quirk rule to work around bugs in the PS interpreters
    of the printers.
  Changes in 1.0.39 (excerpt):
  * pdftops: Fix for landscape PDF handling.
  Changes in 1.0.38 (excerpt):
  * pdftops: Added "-dNOINTERPOLATE" to the Ghostscript command
    line for quicker processing of embedded bitmaps.
  * pstopdf: Added "-dUseCIEColor" to the Ghostscript command
    line to assure compatibility with newer Ghostscript
    versions (9.08 and newer).
  Changes in 1.0.37 (excerpt):
  * Added example configuration files for systemd and Upstart, see
    https://bugzilla.novell.com/show_bug.cgi?id=735404#c46
    (obsoletes cups-browsed.service).
  * Build system: Make sure that gstoraster gets linked against
    the libcupsfilters of the currently built package and not
    of the system (obsoletes broken-autotools.patch).
  * cupsfilters.convs: Reworked the cost factors of the filters
    to avoid bogus filter chains like pstotiff|imagetopdf
    instead of pstopdf|pdftopdf for PostScript->PDF, see
    https://bugzilla.novell.com/show_bug.cgi?id=735404#c53
  * cups-browsed: Fixed building with CUPS 1.5.x and older,
    ippSetVersion() was missing under the accessor function
    definitions for backward compatibility
    (obsoletes cups-15-compat.patch).
  For details see the NEWS and README files.
- cups-browsed.service is obsolete (provided in upstream sources).
- broken-autotools.patch is obsolete (fixed in upstream sources).
- cups-15-compat.patch is obsolete (fixed in upstream sources).

-------------------------------------------------------------------
Fri Aug 30 12:53:57 CEST 2013 - jsmeix@suse.de

- Rename installed /usr/share/cups/banners/* files
  and the installed /usr/share/cups/data/testprint
  because those files are also provided by CUPS
  but CUPS provides them in a different format and
  I not want to overwrite CUPS files but I do not like
  to delete the cups-filters version of those files
  instead I like to provide them at least for now as well
  so that we could evaluate which ones we may use finally.

-------------------------------------------------------------------
Wed Aug 21 08:51:35 UTC 2013 - tchvatal@suse.com

- Version bump to 1.0.36:
  * new manpages
  * many small adjustments see NEWS
- Remove obsolete patch fix_cups-browsed_init_script.patch
- Remove obsolete patch BZR_revision_7085_7084.diff
- Add new patch to compat with old cups cups-15-compat.patch
- Add new patch to fix borked autotools broken-autotools.patch
- Adjust the service call for older distros it was in /sbin
- Enable tests

-------------------------------------------------------------------
Fri Aug  2 10:42:25 CEST 2013 - jsmeix@suse.de

- Added support for systemd (mainly done by tchvatal@suse.com).
  cups-browsed.service is openSUSE's systemd unit file.
  Nevertheless a traditional SysVInit script
  /etc/init.d/cups-browsed is still available.

-------------------------------------------------------------------
Tue Jul 30 16:50:23 CEST 2013 - jsmeix@suse.de

- BZR_revision_7085_7084.diff makes the code working
  with Poppler >= 0.23.x see
  https://bugs.linuxfoundation.org/show_bug.cgi?id=1144
- Version upgrade to cups-filters-1.0.35
  that provides in particular various bugfixes,
  for details see the NEWS and README files.

-------------------------------------------------------------------
Fri Apr 19 13:55:10 CEST 2013 - jsmeix@suse.de

- Version upgrade to cups-filters-1.0.34
  that provides in particular various enhancements for
  cups-browsed, for details see the NEWS and README files.

-------------------------------------------------------------------
Wed Mar 13 14:07:52 CET 2013 - jsmeix@suse.de

- Version upgrade to cups-filters-1.0.30
- cups-filters-1.0.30 does no longer build for openSUSE 12.1
  because configure requests 'glib-2.0 >= 2.30.2' but
  version of GLib in openSUSE 12.1 is 2.30.1.

-------------------------------------------------------------------
Fri Jan  4 16:18:55 CET 2013 - jsmeix@suse.de

- Version upgrade to cups-filters-1.0.29
  that adds cups-browsed.
- fix_cups-browsed_init_script.patch
  adds LSB header line to cups-browsed init script
  otherwise the openSUSE brp-55-boot-scripts aborts build
  with "ERROR: found one or more broken init or boot scripts"
  and this patch changes "$avahi-daemon $cups" to "avahi cupsd"
  because there is no $avahi-daemon $cups in /etc/insserv.conf
  but /etc/init.d/avahi-daemon "Provides: avahi"
  and /etc/init.d/cups "Provides: cupsd"
  otherwise RPMLINT reports "init-script-undefined-dependency"
  and this patch removes runlevel 4 from Default-Start
  otherwise RPMLINT reports "init-script-runlevel-4".

-------------------------------------------------------------------
Fri Jan  4 10:02:11 UTC 2013 - mmeister@suse.com

- Adapted and simplified spec file to make it build.

-------------------------------------------------------------------
Wed Oct 17 21:16:24 UTC 2012 - p.drouand@gmail.com

- Initial release